summaryrefslogtreecommitdiff
path: root/debian/cron.daily
diff options
context:
space:
mode:
authorJoey Hess <joey@gnu.kitenet.net>2009-02-13 13:31:35 -0500
committerJoey Hess <joey@gnu.kitenet.net>2009-02-13 13:31:35 -0500
commita97d887845955b58ab14bfb6e65f4e6868408872 (patch)
tree48d075cc28755dba6f83d51937cb6f7eff058753 /debian/cron.daily
parentab7f9bd44efa2bc1f1868c7e9abcda6d44749509 (diff)
Add a daily cron job to autocommit changes to /etc
The cron job is enabled by default but can be disabled via etckeeper.conf. (Thanks to Thierry Carrez)
Diffstat (limited to 'debian/cron.daily')
-rw-r--r--debian/cron.daily8
1 files changed, 8 insertions, 0 deletions
diff --git a/debian/cron.daily b/debian/cron.daily
new file mode 100644
index 0000000..ce6cb31
--- /dev/null
+++ b/debian/cron.daily
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+. /etc/etckeeper/etckeeper.conf
+if [ "$AVOID_DAILY_AUTOCOMMITS" != "1" ]; then
+ if /usr/sbin/etckeeper unclean; then
+ /usr/sbin/etckeeper commit "Daily autocommit"
+ fi
+fi